%define __kde4_alternate_placement 1

%define rname kdeadmin
Name: kde4admin
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Administrative Tools
URL: http://www.kde.org
License: GPL

Requires: %name-kcron = %version-%release
Requires: %name-ksystemlog = %version-%release

#Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar.bz2
Source: %rname-%version.tar

# Automatically added by buildreq on Fri Oct 24 2008 (-bi)
#BuildRequires: gcc-c++ kde4base-runtime kde4pimlibs-devel libXScrnSaver-devel libXcomposite-devel libXdamage-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libxkbfile-devel lilo rpm-build-ruby xorg-xf86vidmodeproto-devel
BuildRequires: gcc-c++ kde4base-runtime >= %version kde4pimlibs-devel >= %version
BuildRequires: xorg-devel
#BuildRequires: lilo

%description
The kdeadmin package contains packages that usually only a system
administrator might need:
- kcron: editor for the cron command scheduler.
- kdat: tape backup tool.
- kfile-plugins: make Konquerer display additional info on about *.dep and *.rpm files.
- ksysv: an editor for System V startup schemes.
- ksystemlog: a system log viewer tool.

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major-%minor
%description common
%name common package

%package kuser
Group: Graphical desktop/KDE
Summary:  Users and groups manager
Requires: %name-common = %version-%release
%description kuser
Kuser is a tool to create, remove and modify user accounts and groups.

%package kcron
Group:      Graphical desktop/KDE
Summary:    Graphical task scheduler
Requires: %name-common = %version-%release
%description kcron
Kcron is a graphical frontend to the cron system, used to schedule regular 
tasks on a Unix system.

%package ksystemlog
Group: Monitoring
Summary:  System log viewer tool for KDE4
Requires: %name-common = %version-%release
%description ksystemlog
This program is developed for being used by beginner users,
which don't know how to find information about their Linux system,
and how the log files are in their computer.
But it is also designed for advanced users,
who want to quickly see problems occuring on their server.

%package knetworkconf
Group: Graphical desktop/KDE
Summary: KDE Control Center module to configure network
Requires: %name-common = %version-%release
%description knetworkconf
KNetworkConf is a KDE Control Center module to configure TCP/IP settings on a 
Linux machine.

%package liloconfig
Group:      Graphical desktop/KDE
Summary:    Configure lilo
Requires: %name-common = %version-%release
%description liloconfig
lilo-config is a kcontrol plugin for configuring LILO, the most commonly
used Linux boot loader.

%prep
%setup -q -n %rname-%version

%build
NO_BUILD+=" -DBUILD_kuser=FALSE"
NO_BUILD+=" -DBUILD_lilo-config=FALSE"
NO_BUILD+=" -DBUILD_knetworkconf=FALSE"
NO_BUILD+=" -DBUILD_kpackage=FALSE"
%K4cmake $NO_BUILD
%K4make

%install
%K4install


%files
%files common
%doc README
#exclude %__kde4_doc/*/kpackage
#exclude %__kde4_doc/*/kuser
#exclude %__kde4_doc/*/kcontrol/knetworkconf
#exclude %__kde4_doc/*/lilo-config

%files kcron
%_K4srv/kcm_cron.desktop
%_K4lib/kcm_cron.so
%__kde4_doc/*/kcron

%files ksystemlog
%__kde4_bindir/ksystemlog
%_K4apps/ksystemlog
%__kde4_iconsdir/hicolor/*/apps/ksystemlog.*
%__kde4_xdg_apps/ksystemlog.desktop
%__kde4_doc/*/ksystemlog

%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Fri Oct 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- initial specfile

